import { Language } from 'web-tree-sitter';
import { LanguageIdentifier } from "../base/common/languages/languages";
import { ILanguageServiceProvider } from "../base/common/languages/languageService";
/**
 * TestOnly: Language service for tree-sitter languages, used in test code.
 */
export declare class TestLanguageServiceProvider implements ILanguageServiceProvider {
    _parser: any;
    constructor(parser: any);
    parse(identifier: LanguageIdentifier, input: string): Promise<any>;
    getLanguage(langId: string): Promise<Language | undefined>;
    getParser(): any;
    isSupportLanguage(identifier: LanguageIdentifier): boolean;
    ready(): Promise<void>;
    dispose(): void;
}
